Has Member
Description
Has member will see if a group contains a subject as a member
Features
Can base member list based on memberfilter (e.g. All, Immediate, Effective)
Can pass in Field name to query based on Field (e.g. admins, optouts, optins, etc from Field table in DB)
Lookup subjects by subject lookup (by id, source, identifier, etc)
Lookup groups by group lookup (by name or uuid)
Returns group / subject information, can be detailed or not
Can actAs another user
For 2.0+, you can pass in pointInTimeFrom and pointInTimeTo to check members at a certain point in time in the past, or in a date range. This should be formatted: yyyy/MM/dd HH:mm:ss.SSS
Has member Lite service
Accepts one group and one subject to see if member
Documentation: SOAP (click on hasMemberLite), REST (click on hasMemberLite)
For REST, the request can put data in query string (in URL or request body)
REST request (colon is escaped to %3A): GET /grouper-ws/servicesRest/v1_3_000/groups/aStem%3AaGroup/members/10021368
Note: if passing data in request body e.g. actAs, use a POST
(see documentation above for details): Request object, response object
Samples (all files with "Lite" in them, click on "download" to see file)
Has member service
Accepts a group and multiple subjects to see if members
Documentation: SOAP (click on hasMember), REST (click on hasMember)
REST request (colon is escaped to %3A): POST /grouper-ws/servicesRest/v1_3_000/groups/aStem%3AaGroup/members
(see documentation above for details): Request object, response object
Returns an overall status, and a status for each assignment
Samples (all files without "Lite" in them, click on "download" to see files)